oracle.pg.text.solr

## Class SolrIndexParameters

- java.lang.Object
- - oracle.pg.text.OracleIndexParameters
  - - oracle.pg.text.solr.SolrIndexParameters

-     public class SolrIndexParameters
      extends OracleIndexParameters

  This class manages relevant parameters for SolrCloud text indexing. Such parameters include the type of SolrCloud Server URL, replication factor, number of shards, and degree of parallelism (DOP).

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `CONFIG_NAME_PARAMETER` This constant denotes the parameter for the name of the SolrCloud configuration used by the index
    `static Integer` | `MAX_NUM_SHARDS` This constant denotes the maximum number of shards per node allowed in the SolrCloud collection
    `static Integer` | `MAX_REP_FACTOR` This constant denotes the maximum replication factor used in the SolrCloud collection.
    `static Integer` | `MAX_SHARDS` This constant denotes the maximum number of shards allowed in the SolrCloud collection.
    `static String` | `MAX_SHARDS_PER_NODE_PARAMETER` This constant denotes the maximum shards per node used in the SolrCloud collection.
    `static String` | `NUM_SHARDS_PARAMETER` This constant denotes the number of shards used in the SolrCloud collection.
    `static String` | `REP_FACTOR_PARAMETER` This constant denotes the replication factor used in the SolrCloud collection.
    `static String` | `SOLR_NODE_SET_PARAMETER` This constant denotes the parameter used for the node set used to store the SolrCloud collection
    `static String` | `SOLR_SERVER_URL_PARAMETER` This constant denotes the parameter for the server URL used to connect to SolrCloud
    `static String` | `ZK_TIMEOUT_PARAMETER` This constant denotes the timeout (in seconds) used to wait for a Zookeeper connection

    - ### Fields inherited from class oracle.pg.text.OracleIndexParameters

      `BATCH_SIZE_PARAMETER, COMMIT_BATCH_SIZE_PARAMETER, LUCENE_ENGINE, MAX_BATCH, MAX_COMMIT, MAX_COMMIT_BATCH, MAX_CONNS, MAX_WAIT_TIMEOUT, REINDEX_NUM_CONNS_PARAMETER, SEARCH_ENGINE_PARAMETER, SOLR_ENGINE, WRITE_TIMEOUT_PARAMETER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SolrIndexParameters()` Creates a new SolrIndexParameters object.
    `SolrIndexParameters(List<Parameter> parameters)` Creates a new SolrIndexParameters object from an initial set of parameters.
    `SolrIndexParameters(Parameter[] parameters)` Creates a new SolrIndexParameters object from an initial set of parameters.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SolrIndexParameters` | `createInstance(String configName, String solrServerURL, String solrNodeSet, int zkTimeout, int numShards, int replicationFactor, int maxShardsPerNode, int reindexNumConns, int batchSize, int commitBatchSize, long writeTimeout)` Creates a new SolrIndexParameters object from the set of parameters.
    `static List<Parameter>` | `defaultIndexParamsAsList()` Gets Oracle's default list of parameters defined for an index.
    `static SolrIndexParameters` | `getInstance(Parameter[] parameters)` Creates a new OracleIndexParameters object from an initial set of parameters.

    - ### Methods inherited from class oracle.pg.text.OracleIndexParameters

      `addParameter, buildFS, buildFS, buildSolr, defaultIndexParams, getParameters, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### CONFIG_NAME_PARAMETER

          public static final String CONFIG_NAME_PARAMETER

      This constant denotes the parameter for the name of the SolrCloud configuration used by the index
      See Also:
        Constant Field Values

    - #### MAX_NUM_SHARDS

          public static final Integer MAX_NUM_SHARDS

      This constant denotes the maximum number of shards per node allowed in the SolrCloud collection

    - #### MAX_REP_FACTOR

          public static final Integer MAX_REP_FACTOR

      This constant denotes the maximum replication factor used in the SolrCloud collection.

    - #### MAX_SHARDS

          public static final Integer MAX_SHARDS

      This constant denotes the maximum number of shards allowed in the SolrCloud collection.

    - #### MAX_SHARDS_PER_NODE_PARAMETER

          public static final String MAX_SHARDS_PER_NODE_PARAMETER

      This constant denotes the maximum shards per node used in the SolrCloud collection.
      See Also:
        Constant Field Values

    - #### NUM_SHARDS_PARAMETER

          public static final String NUM_SHARDS_PARAMETER

      This constant denotes the number of shards used in the SolrCloud collection.
      See Also:
        Constant Field Values

    - #### REP_FACTOR_PARAMETER

          public static final String REP_FACTOR_PARAMETER

      This constant denotes the replication factor used in the SolrCloud collection.
      See Also:
        Constant Field Values

    - #### SOLR_NODE_SET_PARAMETER

          public static final String SOLR_NODE_SET_PARAMETER

      This constant denotes the parameter used for the node set used to store the SolrCloud collection
      See Also:
        Constant Field Values

    - #### SOLR_SERVER_URL_PARAMETER

          public static final String SOLR_SERVER_URL_PARAMETER

      This constant denotes the parameter for the server URL used to connect to SolrCloud
      See Also:
        Constant Field Values

    - #### ZK_TIMEOUT_PARAMETER

          public static final String ZK_TIMEOUT_PARAMETER

      This constant denotes the timeout (in seconds) used to wait for a Zookeeper connection
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### SolrIndexParameters

          public SolrIndexParameters()

      Creates a new SolrIndexParameters object.

    - #### SolrIndexParameters

          public SolrIndexParameters(List<Parameter> parameters)

      Creates a new SolrIndexParameters object from an initial set of parameters.

    - #### SolrIndexParameters

          public SolrIndexParameters(Parameter[] parameters)

      Creates a new SolrIndexParameters object from an initial set of parameters.

  - ### Method Detail

    - #### createInstance

          public static SolrIndexParameters createInstance(String configName,
                                           String solrServerURL,
                                           String solrNodeSet,
                                           int zkTimeout,
                                           int numShards,
                                           int replicationFactor,
                                           int maxShardsPerNode,
                                           int reindexNumConns,
                                           int batchSize,
                                           int commitBatchSize,
                                           long writeTimeout)

      Creates a new SolrIndexParameters object from the set of parameters.
      Parameters:
        `configName` - the configuration name used to create the SOLR cloud collection where the index will be stored
        `solrServerURL` - the SolrCloud server URL used to connect to the SolrCloud service. E.g., http://localhost:2181/solr
        `solrNodeSet` - a string representing the node set used to store the SolrCloud collection. E.g. node01:8983_solr,node02:8983_solr,node03:8983_solr
        `zkTimeout` - a positive integer representing the timeout (in seconds) used to wait for a Zookeeper connection.
        `numShards` - a positive integer representing the number of shards used in the SolrCloud collection.
        `replicationFactor` - a positive integer representing the replication factor used in the SolrCloud collection.
        `maxShardsPerNode` - a positive integer representing the maximum shards per node used in the SolrCloud collection.
        `reindexNumConns` - the number of connections to use when dealing with re-indexing operations
        `batchSize` - the batch size to use when indexing data. This reduce the round trip operations over the index
        `commitBatchSize` - the commit batch size to use when indexing data. This reduce the number of commit operations over the index
        `writeTimeout` - the timeout (in secs) that is allowed to wait for a index write operation.

    - #### defaultIndexParamsAsList

          public static List<Parameter> defaultIndexParamsAsList()

      Gets Oracle's default list of parameters defined for an index.
      Returns:
        a list of Parameter objects

    - #### getInstance

          public static SolrIndexParameters getInstance(Parameter[] parameters)

      Creates a new OracleIndexParameters object from an initial set of parameters.

Copyright © 2015 Oracle and/or its affiliates. All Rights Reserved.